Bug 836371 - Enabling ColorTiling2D breaks totem for Radeon RV770
Enabling ColorTiling2D breaks totem for Radeon RV770
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 16:49 EDT by Chris Rankin
Modified: 2012-07-12 16:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 16:34:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file. (56.55 KB, text/plain)
2012-06-28 16:49 EDT, Chris Rankin
no flags Details
Xorg.0.log file for HD6450 (42.02 KB, application/octet-stream)
2012-06-30 13:00 EDT, Chris Rankin
no flags Details

  None (edit)
Description Chris Rankin 2012-06-28 16:49:53 EDT
Created attachment 595127 [details]
Xorg log file.

Description of problem:
Kernel rejects command stream from RV770 when playing video in totem when ColorTiling2D is enabled.

Version-Release number of selected component (if applicable):
kernel-3.4.3-1.fc17.x86_64
mesa-dri-drivers-8.0.3-1.fc17.i686

How reproducible:
Every time

Steps to Reproduce:
1. Enable ColorTiling2D option in xorg.conf
2. Open totem.
  
Actual results:
The contents of the video window are corrupt, and the dmesg log fills up with messages like:[   78.148927] radeon 0000:02:00.0: r600_cs_track_validate_cb invalid tiling 6 for 0 (0x08110668)
[   78.157582] radeon 0000:02:00.0: r600_packet3_check:1813 invalid cmd stream 530
[   78.164931] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !


Expected results:
Totem should display "splash" image.


Additional info:
Works OK if ColorTiling2D disabled again.
Also breaks with vanilla 3.4.4 kernel.
Comment 1 Chris Rankin 2012-06-28 17:15:29 EDT
Seems to work Ok with mesa from git.
Comment 2 Chris Rankin 2012-06-28 17:17:06 EDT
Seems to work OK with mesa from git.
Comment 3 Chris Rankin 2012-06-30 12:58:46 EDT
Also affects Radeon HD6450:
[  423.838331] radeon 0000:01:00.0: evergreen_surface_value_conv_check:330 cb invalid array mode 6
[  423.838337] radeon 0000:01:00.0: evergreen_packet3_check:2096 invalid cmd stream 545
[  423.838340] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
Comment 4 Chris Rankin 2012-06-30 13:00:01 EDT
Created attachment 595455 [details]
Xorg.0.log file for HD6450
Comment 5 Chris Rankin 2012-06-30 13:45:55 EDT
Mesa git fixes totem for the HD6450 as well.
Comment 6 Chris Rankin 2012-07-12 14:50:51 EDT
Mesa upgrade mesa-dri-drivers-8.0.3-3.fc17.i686 does not fix this problem.
Comment 7 Jérôme Glisse 2012-07-12 16:34:58 EDT
Not going to fix mesa 8.0 so you will have to wait mesa 8.1, probably f18

Note You need to log in before you can comment on or make changes to this bug.